<?php

// available fields in SugarCRM 5.0.0d
$sugarwebform_available_fields = array(	
	// names
	'name' => 'Full Name', 	
	'title' => 'Title',
	'salutation' => 'Salutation',
	'first_name' => 'First Name',
	'last_name' => 'Last Name',
		
	// email addresses and status
	'email1' => 'Email',
	'email2' => 'Alternate Email',
	'email_opt_in' => 'Opt-In for E-Mail',
	'email_opt_out' => 'Out-Out for E-Mail',
	
	// lead  info for SugarCRM
	'account_name' => 'Account Name',
	'description' => 'Description',
	'lead_source_description' => 'Lead Source Description',
	'referred_by' => 'Referred By',
	
	// phone numbers
	'phone_home' => 'Home Phone', 
	'phone_mobile' => 'Mobile Phone',
	'phone_other' => 'Other Phone',
	'phone_work' => 'Work Phone',
	'phone_fax' => 'Fax',
	'do_not_call' => 'Do Not Call',
	
	// adddresses
	'primary_address_city' => 'Primary Address City',
	'primary_address_country' => 'Primary Address Country',
	'primary_address_postalcode' => 'Primary Address Postal Code',
	'primary_address_state' => 'Primary Address State',
	'primary_address_street' => 'Primary Address Line 1',
	'primary_address_street_2' => 'Primary Address Line 2',
	'primary_address_street_3' => 'Primary Address Line 3',
	'alt_address_city' => 'Alternate Address City',
	'alt_address_country' => 'Alternate Address Country',
	'alt_address_postalcode' => 'Alternate Address Postal Code',
	'alt_address_state' => 'Alternate Address State',
	'alt_address_street' => 'Alternate Address Line 1',
	'alt_address_street_2' => 'Alternate Address Line 2',
	'alt_address_street_3' => 'Alternate Address Line 3',

	// extra
	'birthdate' => 'Birthdate'

);

function sugarwebform_load_custom_fields () {
	$custom_fields = variable_get('sugarwebform_custom_fields', null);
	if ( is_array($custom_fields) ) return $custom_fields ;
	else return array();
}